<?php
declare(strict_types=1);

namespace Ak\Orm\Service;

use Laminas\InputFilter\InputFilterPluginManager;
use Psr\Container\ContainerExceptionInterface;
use Psr\Container\ContainerInterface;
use Psr\Container\NotFoundExceptionInterface;

/**
 * Class RepositoryFactoryFactory
 *
 * @package Ak\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/ak-orm
 */
final class RepositoryFactoryFactory
{
    /**
     * @param ContainerInterface $container
     *
     * @return RepositoryFactory
     *
     * @throws ContainerExceptionInterface
     * @throws NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container): RepositoryFactory
    {
        return new RepositoryFactory(
            $container->get(RepositoryPluginManager::class),
            $container->get(InputFilterPluginManager::class),
        );
    }
}
